# Uses of Interface
java.lang.classfile.AnnotationValue

Packages that use AnnotationValue
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of AnnotationValue in java.lang.classfile

Subinterfaces of AnnotationValue in java.lang.classfile
Modifier and Type
Interface
Description
`static interface`
`AnnotationValue.OfAnnotation`
Models an annotation value of an element-value pair.
`static interface`
`AnnotationValue.OfArray`
Models an array value of an element-value pair.
`static interface`
`AnnotationValue.OfBoolean`
Models a boolean value of an element-value pair.
`static interface`
`AnnotationValue.OfByte`
Models a byte value of an element-value pair.
`static interface`
`AnnotationValue.OfChar`
Models a char value of an element-value pair.
`static interface`
`AnnotationValue.OfClass`
Models a class value of an element-value pair.
`static interface`
`AnnotationValue.OfConstant`
Models a constant value of an element-value pair.
`static interface`
`AnnotationValue.OfDouble`
Models a double value of an element-value pair.
`static interface`
`AnnotationValue.OfEnum`
Models an enum value of an element-value pair.
`static interface`
`AnnotationValue.OfFloat`
Models a float value of an element-value pair.
`static interface`
`AnnotationValue.OfInt`
Models an int value of an element-value pair.
`static interface`
`AnnotationValue.OfLong`
Models a long value of an element-value pair.
`static interface`
`AnnotationValue.OfShort`
Models a short value of an element-value pair.
`static interface`
`AnnotationValue.OfString`
Models a string value of an element-value pair.
Methods in java.lang.classfile that return AnnotationValue
Modifier and Type
Method
Description
`static AnnotationValue`
AnnotationValue.`of(Object value)`
Returns an annotation element.
`AnnotationValue`
AnnotationElement.`value()`
Returns the element value.
Methods in java.lang.classfile that return types with arguments of type AnnotationValue
Modifier and Type
Method
Description
`List<AnnotationValue>`
AnnotationValue.OfArray.`values()`
Returns the array elements of the array value.
Methods in java.lang.classfile with parameters of type AnnotationValue
Modifier and Type
Method
Description
`static AnnotationElement`
AnnotationElement.`of(Utf8Entry name, AnnotationValue value)`
Returns an element-value pair.
`static AnnotationElement`
AnnotationElement.`of(String name, AnnotationValue value)`
Returns an element-value pair.
`static AnnotationElement`
AnnotationElement.`ofArray(String name, AnnotationValue... values)`
Returns an element-value pair for an array-valued element.
`static AnnotationValue.OfArray`
AnnotationValue.`ofArray(AnnotationValue... values)`
Returns an array value for an element-value pair.
Method parameters in java.lang.classfile with type arguments of type AnnotationValue
Modifier and Type
Method
Description
`static AnnotationValue.OfArray`
AnnotationValue.`ofArray(List<AnnotationValue> values)`
Returns an array value for an element-value pair.

## Uses of AnnotationValue in java.lang.classfile.attribute

Methods in java.lang.classfile.attribute that return AnnotationValue
Modifier and Type
Method
Description
`AnnotationValue`
AnnotationDefaultAttribute.`defaultValue()`
Returns the default value of the annotation interface element defined by the enclosing method.
Methods in java.lang.classfile.attribute with parameters of type AnnotationValue
Modifier and Type
Method
Description
`static AnnotationDefaultAttribute`
AnnotationDefaultAttribute.`of(AnnotationValue annotationDefault)`
Returns an `AnnotationDefault` attribute.